Bug Hunting Session
Bug 92425 - UI: Page view Sifr icons in status bar do not change
Summary: UI: Page view Sifr icons in status bar do not change
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Papamatti
URL:
Whiteboard: target:5.1.0 target:5.0.0.3 target:4...
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-29 13:46 UTC by Gordo
Modified: 2016-10-25 19:24 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (464 bytes, image/png)
2015-06-29 13:46 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-06-29 13:46:22 UTC
Created attachment 116920 [details]
screenshot

When selecting Single, Two page, or Book view the other two icons should be grey or dimmed or something.  There is no way to know which view is active.

Windows Vista 64
Version: 4.4.4.3
Build ID: 2c39ebcf046445232b798108aa8a7e7d89552ea8

Version: 5.1.0.0.alpha1+
Build ID: 89b5967658392d27fb3147e85abb2b5c1c34b101
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-24_04:10:17
Comment 1 tommy27 2015-06-30 09:59:53 UTC
confirmed under Win8.1x64 using LibO 4.4.3.2

@Jay
who's the guy completing the Sifr theme? I think he should be put under CC
Comment 2 Papamatti 2015-06-30 16:21:01 UTC
Ok, yes I see the problem. Will do a fix today or tomorrow.
Comment 3 Yousuf Philips (jay) (retired) 2015-06-30 16:58:43 UTC
@Papamatti: It was listed in the google doc. :D
Comment 4 A (Andy) 2015-06-30 19:23:51 UTC
(In reply to Papamatti from comment #2)
> Ok, yes I see the problem. Will do a fix today or tomorrow.

Great to hear.  Thank you very much for your effort!   

Reproducible with LO 4.4.3.2, Win 8.1
Comment 5 Commit Notification 2015-07-03 14:12:23 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c6483666232a231446190d5c256857db45c5e4cc

tdf#92425 - Correct the inactive pageindicators

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-07-03 19:46:22 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f223d5f0bd812de3e4724bb2cf5124c54a464e86&h=libreoffice-5-0

tdf#92425 - Correct the inactive pageindicators

It will be available in 5.0.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-07-03 21:37:29 UTC
Matthias Freund committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ce188a6f3afc69bf2bfeb11d62e287101398884&h=libreoffice-4-4

tdf#92425 - Correct the inactive pageindicators

It will be available in 4.4.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.